# coding=UTF-8
from __future__ import print_function, absolute_import, division
import six
import logging

logger = logging.getLogger(__name__)


class CounterHelper(object):
    """
    States that up to timestamp X, Y objects have been received
    """

    def __init__(self):
        self.objects = 0
        self.timestamp = 0

    def feed(self, ts):
        if ts > self.timestamp:
            self.objects += 1
            self.timestamp = ts

    def value(self):
        return self.objects
